{% extends 'base.html.twig' %}

{% block title %}Register
{% endblock %}

{% block body %}
	{% for flash_error in app.flashes('verify_email_error') %}
		<div class="alert alert-danger" role="alert">{{ flash_error }}</div>
	{% endfor %}

	<div class="container p-5">
		<h1 class="text-center">Créer un compte</h1>

		{{ form_errors(registrationForm) }}

		{{ form_start(registrationForm) }}
		{{ form_row(registrationForm.username, { 'label': 'Identifiant' }) }}
		{{ form_row(registrationForm.email) }}
		{{ form_row(registrationForm.avatar) }}
		{{ form_row(registrationForm.password) }}
		{{ form_row(registrationForm.passwordConfirm) }}

		{{ form_row(registrationForm.save) }}
		{{ form_end(registrationForm) }}
	</div>


	{% for message in app.flashes('danger') %}
		<p class="flash-danger text-light fs-2 text-center text-danger">
			*
			{{ message }}
			*
		</p>

	{% endfor %}
{% endblock %}
